libzypp 17.38.5

zyppng::PlaindirWorkflows Namespace Reference

## Functions
MaybeAwaitable< expected< zypp::RepoStatus > > | repoStatus (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle)
MaybeAwaitable< expected< repo::DownloadContextRef > > | download (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver)

## Function Documentation

## ◆ repoStatus()

MaybeAwaitable< expected< zypp::RepoStatus > > zyppng::PlaindirWorkflows::repoStatus | ( | repo::DownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle )

Definition at line 38 of file plaindir.cc.

## ◆ download()

MaybeAwaitable< expected< repo::DownloadContextRef > > zyppng::PlaindirWorkflows::download | ( | repo::DownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver )

Definition at line 75 of file plaindir.cc.